Parameters for a bulk

### Hierarchy

- SCBulkParameters
  - SCBulkRequest
  - SCBulkResponse

## Index

### Properties

- expiration
- source
- type

## Properties

### Optional expiration

expiration: SCISO8601Date

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1045

Expiration of bulk

If the date is hit and the bulk is not done, it will be deleted and all data removed. Defaults to one hour.

### source

source: string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1052

Source of data for this bulk

A short "description" of the source of the data to identify it inside the database. A second bulk with the same source overrides the data of the first bulk once it is done.

### type

type: SCThingType

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1057

Type of things that are indexed in this bulk.

Generated using TypeDoc